Blender Documentation Volume II - Reference Guide: Last modified March 29 2004 S68
<<< Previous | Python API Reference | Next >>>

# The IpoCurve object

This object gives access to generic data from all ipocurves objects in Blender.

Method Summary |
PyNone | `addBezier(coordlist)` Adds a Bezier point to a curve.
string | `getExtrapolation()` Gets the extrapolation type of the curve.
string | `getInterpolation()` Gets the interpolation type of the curve.
string | `getName()` Returns the name of the ipo curve.This name can be : LocX,LocY,LocZ,dLocX,dLocY,dLocZ,RotX,RotY,RotZ,dRotX,dRotY,dRotZ,SizeX,SizeY,SizeZ,dSizeX,dSizeY,dSizeZ,Layer,Time,ColR,ColG,ColB, or ColA.
list | `getPoints()` Returns all the points of the ipo curve.
PyNone | `Recalc()` Recomputes the curent value of the curve.
PyNone | `setExtrapolation(extrapolationtype)` Sets the extrapolation type of the curve.
PyNone | `setInterpolation(interpolationtype)` Sets the interpolation type of the curve.

Class Variable Summary |
| `name` - The Curve Data name.

Method Details |

addBezier(coordlist)

Adds a Bezier point to a curve.

  Parameters:

    `coordlist` - the x and y coordinates of the new Bezier point.

    (type=tuple of (at least) 2 floats)

  Returns:

    PyNone

    (type=PyNone)

getExtrapolation()

Gets the extrapolation type of the curve.

  Returns:

    the extrapolation type of the curve.Can be Constant, Extrapolation, Cyclic or Cyclic_extrapolation.

    (type=string)

getInterpolation()

Gets the interpolation type of the curve.

  Returns:

    the interpolation type of the curve.Can be Constant, Bezier, or Linear.

    (type=string)

getName()

Returns the name of the ipo curve.This name can be : LocX,LocY,LocZ,dLocX,dLocY,dLocZ,RotX,RotY,RotZ,dRotX,dRotY,dRotZ,SizeX,SizeY,SizeZ,dSizeX,dSizeY,dSizeZ,Layer,Time,ColR,ColG,ColB, or ColA.

  Returns:

    the name of the ipo curve.

    (type=string)

getPoints()

Returns all the points of the ipo curve.

  Returns:

    the points of the ipo curve.

    (type=list)

Recalc()

Recomputes the curent value of the curve.

  Returns:

    PyNone

    (type=PyNone)

setExtrapolation(extrapolationtype)

Sets the extrapolation type of the curve.

  Parameters:

    `extrapolationtype` - the extrapolatrion type of the curve. Can be Constant, Extrapolation, Cyclic or Cyclic_extrapolation.

    (type=string)

  Returns:

    PyNone

    (type=PyNone)

setInterpolation(interpolationtype)

Sets the interpolation type of the curve.

  Parameters:

    `interpolationtype` - the interpolatrion type of the curve. Can be Constant, Bezier, or Linear.

    (type=string)

  Returns:

    PyNone

    (type=PyNone)

Class Variable Details |

name The Curve Data name. @cvar bezierPoints : The list of the Bezier points.

<<< Previous | Home | Next >>>
Class IpoCurve | Up | Module BGL